Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Wings 1.5.1 released
10-15-2013, 02:07 AM
Post: #11
RE: Wings 1.5.1 released
Congratulations for all Wings3D team! Smile

__________________________________
http://www.wings3d.com.br/forum
http://www.youtube.com/wings3dchannel
http://www.facebook.com/wings3dchannel
Reply
10-15-2013, 03:28 AM (This post was last modified: 10-15-2013 03:31 AM by oort.)
Post: #12
RE: Wings 1.5.1 released
povmaniac,
I think it is normal for the yafaray.beam file to work on any OS. Since the beam files are running on erlang and not in your local OS I guess that makes sense??? The plugin files will usually continue to work on future versions of Wings3D until a new version of Erlang is used to build Wings3D. At that point the plugins have to be recompiled in order to work on newer versions of Wings3D.

Micheus,
I guess the images we were testing for the bottom view looked the same when flipped. I grabbed a random rendered image with the yafaray badge in it when I was testing this time and that made it more clear that there was a problem... Smile

oort
Reply
10-15-2013, 04:19 AM
Post: #13
RE: Wings 1.5.1 released
sdl_driver.dll and SDL.dll (from the 32b) build gives nothing with avast 8.0.1497 and virus defs 131014-0 for me.

The 64b variant is build on my work machine which is a closed environment, with every security check in the world so I don't believe that one is infected.

If it only was the 32b I would be worried since my kids use this machine sometimes, but it looks clean according to my avast, atleast.
Reply
10-15-2013, 04:24 AM
Post: #14
RE: Wings 1.5.1 released
(10-15-2013 04:19 AM)dgud Wrote:  gives nothing with avast 8.0.1497 and virus defs 131014-0 for me.
I have the same version/updates and I'm getting. Maybe it was added to ignore list? we have this option when warning pop-up windows is shown. Undecided
Reply
10-15-2013, 05:00 AM
Post: #15
RE: Wings 1.5.1 released
Ok something is fishy with the latest avast, I hope.

I can no longer build the release (which built fine on Saturday) because of this complaint.
I have issued a 'false positive' support request at avast.
Still, scanning the file (sdl_driver.dll) manually gives nothing, but when copying it to the release directory avast gives me the red window.

Nothing more I can do now.
Reply
10-18-2013, 10:57 PM
Post: #16
RE: Wings 1.5.1 released
Hi,
I received a new comment on my blog on the topic where i explain how to change Wings language to french, and that made me look Wings website and later i downloaded the new 64 bit version, installed it and each time i start it, it give me this error :

Quote:Dump written 2013-10-18_8-50
Version: 1.5.1
Window: geom
Reason: function_clause

Short stack trace:
[]

Long stack trace:
[{wings,move_windows,
[[{wpc_views_win,{{plugin,saved_views},
{1787,677},
{333,75},
[{rollup,false}]}},
{wpc_sel_win,{{plugin,sel_groups},
{1787,264},
{333,130},
[{rollup,false}]}}]],
[{file,"wings.erl"},{line,1717}]},
{wings,handle_event_3,2,[{file,"wings.erl"},{line,434}]},
{wings_wm,handle_event,3,[{file,"wings_wm.erl"},{line,824}]},
{wings_wm,send_event,2,[{file,"wings_wm.erl"},{line,796}]},
{wings_wm,do_dispatch,2,[{file,"wings_wm.erl"},{line,698}]},
{wings_wm,get_and_dispatch,0,[{file,"wings_wm.erl"},{line,612}]},
{wings,init,1,[{file,"wings.erl"},{line,148}]}]

Is it because it try to use the prefs of an old wings version ?
Thanks.

My websites (in french) :
MainBlogShared gallery3D Wiki (WIP)
Reply
10-19-2013, 12:17 AM (This post was last modified: 10-19-2013 12:18 AM by TulipVorlax.)
Post: #17
RE: Wings 1.5.1 released
Ok, after some testing, i think this error is caused by having the saved views or selection group window open the previous time Wings was used.

How i found this : Rename the prefs file in /Users/[username]/AppData/Roaming/Wings..., start Wings > no error. Begin reconfiguring prefs and UI exiting Wings at each single step. Language selection > OK. Setting UI windows > Bam ! Error on next startup. Remove thoses two windows > No error.

See ya all. ;-)

My websites (in french) :
MainBlogShared gallery3D Wiki (WIP)
Reply
10-19-2013, 11:31 AM (This post was last modified: 10-19-2013 11:32 AM by micheus.)
Post: #18
RE: Wings 1.5.1 released
TulipVorlax, that was already reported in the snapshot time and it should be fixed now.
I have only 32bits version installed and I tried repeat your steps and I didn't get that error. Could you please try install the 32bits version and check it.

Thanks
Reply
10-20-2013, 02:14 AM
Post: #19
RE: Wings 1.5.1 released
micheus that should not be 64b dependent at all.
Reply
10-20-2013, 06:01 AM
Post: #20
RE: Wings 1.5.1 released
(10-15-2013 05:00 AM)dgud Wrote:  I have issued a 'false positive' support request at avast.
Still, scanning the file (sdl_driver.dll) manually gives nothing, but when copying it to the release directory avast gives me the red window
It seems it was fixed now. I was able to install Wings3D (32 and 64) without any alarm from Avast!

I tried again experiment the problem reported by TulipVorlax, but no success - no dump file.
Could you please attach a "problematic" preferences.txt file for me?
Reply


Forum Jump:


User(s) browsing this thread: 1 Guest(s)